diff --git "a/R:\\temp\\TvG804A.tmp\\TvGuideBase-9a84346-left.cs" "b/D:\\Projekte\\MediaPortal\\TvEngine3\\TVLibrary\\TvPlugin\\TvPlugin\\TvGuideBase.cs"
index 163f70e..02f7e2e 100644
--- "a/R:\\temp\\TvG804A.tmp\\TvGuideBase-9a84346-left.cs"
+++ "b/D:\\Projekte\\MediaPortal\\TvEngine3\\TVLibrary\\TvPlugin\\TvPlugin\\TvGuideBase.cs"
@@ -1188,11 +1188,13 @@ namespace TvPlugin
 
       if (_cursorY == 0 || _currentProgram == null)
       {
+	GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.idProgram", 0);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Title", String.Empty);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.CompositeTitle", String.Empty);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Time", String.Empty);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Description", String.Empty);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Genre", String.Empty);
+        GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.MpGenre", String.Empty);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.SubTitle", String.Empty);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Episode", String.Empty);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.EpisodeDetail", String.Empty);
@@ -1218,15 +1220,21 @@ namespace TvPlugin
 
         // Lookup the MediaPortal genre for this program.  If found use it, if not found then use the program genre.
         string mpg = "";
-        foreach (var mpGenre in _mpGenres)
+        MpGenre mpGenre = _mpGenres.Find(x => x.MappedProgramGenres.Contains(_currentProgram.Genre));
+        if (mpGenre != null && mpGenre.Enabled)
         {
-          if (mpGenre.MappedProgramGenres.Contains(_currentProgram.Genre))
+          mpg = mpGenre.Name;
+        }
+        // Try to apply the "movie" genre.
+        else if (IsMPAA(_currentProgram.Classification))
+        {
+          mpGenre = _mpGenres.Find(x => x.IsMovie == true);
+          if (mpGenre != null && mpGenre.Enabled)
           {
             mpg = mpGenre.Name;
-            break;
           }
         }
-
+	GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.idProgram", _currentProgram.idProgram);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Title", _currentProgram.Title);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.CompositeTitle", TVUtil.GetDisplayTitle(_currentProgram));
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Time", strTime);
